<?php

namespace App\Policies;

use App\Models\ApplyNowInfo;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class ApplyNowInfoPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create applynowinfo', 'edit applynowinfo', 'view applynowinfo', 'delete applynowinfo'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ApplyNowInfo $applyNowInfo): bool
    {
        return $user->hasPermissionTo('view applynowinfo');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create applynowinfo');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ApplyNowInfo $applyNowInfo): bool
    {
        return $user->hasPermissionTo('edit applynowinfo');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ApplyNowInfo $applyNowInfo): bool
    {
        return $user->hasPermissionTo('delete applynowinfo');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ApplyNowInfo $applyNowInfo): bool
    {
        return $user->hasPermissionTo('restore applynowinfo');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ApplyNowInfo $applyNowInfo): bool
    {
        return $user->hasPermissionTo('force delete applynowinfo');
    }
}
